summaryrefslogtreecommitdiff
path: root/toolchain/dependencies
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-01-19 17:11:05 +0000
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-01-19 17:11:05 +0000
commita1a86ef91ffa67a27b325a7d7e8a6ba081abe893 (patch)
tree41f344c32a871bcbd2f339cc0229be8352901435 /toolchain/dependencies
parentc03469d3cacf74d7394f7703b76e0cf72f32b607 (diff)
- add sanity check to make sure that LD_LIBRARY_PATH doesn't contain CWD
Diffstat (limited to 'toolchain/dependencies')
-rwxr-xr-xtoolchain/dependencies/dependencies.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index 1eb19515d..f05225c98 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -55,6 +55,31 @@ if test -n "$CXXFLAGS" ; then
fi;
echo "CXXFLAGS clean: Ok"
+echo "WORKS" | grep "WORKS" >/dev/null 2>&1
+if test $? != 0 ; then
+ echo "grep works: FALSE"
+ exit 1
+fi
+
+# sanity check for CWD in LD_LIBRARY_PATH
+# try not to rely on egrep..
+if test -n "$LD_LIBRARY_PATH" ; then
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':.:' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep 'TRiGGER_start:' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep ':TRiGGER_end' >/dev/null 2>&1 ||
+ /bin/echo TRiGGER_start"$LD_LIBRARY_PATH"TRiGGER_end | /bin/grep '::' >/dev/null 2>&1
+ if test $? = 0; then
+ echo "LD_LIBRARY_PATH sane: FALSE"
+ echo "You seem to have the current working directory in your"
+ echo "LD_LIBRARY_PATH environment variable. This doesn't work."
+ exit 1;
+ else
+ echo "LD_LIBRARY_PATH sane: Ok"
+ fi
+fi;
+
+
+
#############################################################
#
# check build system 'sed'